Vulnerability CVE-2021-41142


Published: 2021-10-14

Description:
Tuleap Open ALM is a libre and open source tool for end to end traceability of application and system developments. There is a cross-site scripting vulnerability in Tuleap Community Edition prior to 12.11.99.25 and Tuleap Enterprise Edition 12.11-2. A malicious user with the capability to add and remove attachment to an artifact could force a victim to execute uncontrolled code. Tuleap Community Edition 11.17.99.146 and Tuleap Enterprise Edition 12.11-2 contain a fix for the issue.

Type:

CWE-79

(Improper Neutralization of Input During Web Page Generation ('Cross-site Scripting'))

 References:
https://tuleap.net/plugins/tracker/?aid=22570
https://tuleap.net/plugins/git/tuleap/tuleap/stable?a=commit&h=d6c837ed6fa66d319175954a42f93d4d86745208
https://github.com/Enalean/tuleap/security/advisories/GHSA-p3j6-6h9h-34r5
https://github.com/Enalean/tuleap/commit/d6c837ed6fa66d319175954a42f93d4d86745208

Copyright 2021, cxsecurity.com

 

Back to Top